org.apache.lucene.search

## Class PrefixTermsEnum

- java.lang.Object
- - org.apache.lucene.index.TermsEnum
  - - org.apache.lucene.index.FilteredTermsEnum
    - - org.apache.lucene.search.PrefixTermsEnum

All Implemented Interfaces:
  BytesRefIterator

    public class PrefixTermsEnum
    extends FilteredTermsEnum

Subclass of FilteredTermEnum for enumerating all terms that match the specified prefix filter term.

Term enumerations are always ordered by `FilteredTermsEnum.getComparator()`. Each term in the enumeration is greater than all that precede it.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.lucene.index.FilteredTermsEnum

`FilteredTermsEnum.AcceptStatus`

### Nested classes/interfaces inherited from class org.apache.lucene.index.TermsEnum

`TermsEnum.SeekStatus`

### Field Summary

### Fields inherited from class org.apache.lucene.index.TermsEnum

`EMPTY`

### Constructor Summary

Constructors
Constructor and Description
`PrefixTermsEnum(TermsEnum tenum, BytesRef prefixText)`

### Method Summary

Methods
`protected FilteredTermsEnum.AcceptStatus` `accept(BytesRef term)` Return if term is accepted, not accepted or the iteration should ended (and possibly seek).

### Methods inherited from class org.apache.lucene.index.FilteredTermsEnum

`attributes, docFreq, docs, docsAndPositions, getComparator, next, nextSeekTerm, ord, seekCeil, seekExact, seekExact, seekExact, setInitialSeekTerm, term, termState, totalTermFreq`

### Methods inherited from class org.apache.lucene.index.TermsEnum

`docs, docsAndPositions, seekCeil`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PrefixTermsEnum

    public PrefixTermsEnum(TermsEnum tenum,
                   BytesRef prefixText)

### Method Detail

#### accept

    protected FilteredTermsEnum.AcceptStatus accept(BytesRef term)

Description copied from class: `FilteredTermsEnum`
Return if term is accepted, not accepted or the iteration should ended (and possibly seek).

Specified by:
  `accept` in class `FilteredTermsEnum`